Subject: Re: [RFC PATCH net-next 0/4] perf tools: Support receiving output through BPF programs

From: "Wangnan (F)" <[email-masked]>
Date: Wed, 28 Oct 2015 19:03:00 +0800

On 2015/10/28 18:55, Wang Nan wrote:
> Alexei provided a patchset to allow BPF programs output data to ring
> buffer using helper bpf_perf_event_output() [1].  and have been merged
> into net-next as commit a43eec304259a6c637f4014a6d4767159b6a3aa3 (bpf:
> introduce bpf_perf_event_output() helper).
>
> This patchset introduces perf side code to utilize that helper,
>
> This patchset only supports output data to CTF. It is enough for me
> because my workflow is 'perf record' -> 'convert to CTF' -> 'python'.
> However, I know some people heavily rely on 'perf script' to parse
> trace in perf.data. Here I'd like discuss the way to show output data
> using 'perf script'. Currently the only way to watch the output data
> using perf script is to use '-D'.
>
> [1] http://lkml.kernel.org/r/[email-masked]

This patchset is based on my perf ebpf support patches. Workable
code can be found from github:

https://github.com/WangNan0/linux/commits/ebpf

It should be merged after net-next merged into mainline. I post
them now for demostration and discussion.

Thank you.